Skip to main content

Donations API (v1)

Download OpenAPI specification:Download

The Donation API provides features that specifically support fundraising

Agreements

Endpoints for managing and retrieving donation agreements

Get detailed information about a specific agreement

Returns comprehensive details about a donation agreement including payer information

path Parameters
agreementId
required
string
Example: 2518f497-bfad-43a6-8914-fd0168a6c221

The unique identifier for the donation agreement

Responses

Response samples

Content type
application/json
{
  • "id": "2518f497-bfad-43a6-8914-fd0168a6c221",
  • "recipientHandle": "NO:6666",
  • "startedAt": "2026-01-31T17:26:50.8789251+00:00",
  • "externalReference": "123abc",
  • "schedule": {
    },
  • "amount": {
    },
  • "payer": {
    }
}

Stop a specific agreement

Stops an active agreement

path Parameters
agreementId
required
string
Example: 2518f497-bfad-43a6-8914-fd0168a6c221

The unique identifier for the agreement

Responses

Request an amount change

Asks the donor to approve a new amount for an active agreement

path Parameters
agreementId
required
string
Example: 2518f497-bfad-43a6-8914-fd0168a6c221

The unique identifier for the agreement

Request Body schema: application/json
required
requestId
required
string [ 1 .. 128 ] characters ^[A-Za-z0-9._-]+$

Your own ID for the request

required
object (Amount)

Responses

Request samples

Content type
application/json
{
  • "requestId": "crm-upgrade-42",
  • "amount": {
    }
}

Get the status of a change request

Returns the status of an amount change request

path Parameters
agreementId
required
string
Example: 2518f497-bfad-43a6-8914-fd0168a6c221

The unique identifier for the agreement

requestId
required
string
Example: crm-upgrade-42

The requestId you sent when you requested the change

Responses

Response samples

Content type
application/json
{
  • "agreementId": "2518f497-bfad-43a6-8914-fd0168a6c221",
  • "requestId": "crm-upgrade-42",
  • "status": "Requested",
  • "type": "CHANGE_AMOUNT",
  • "amount": {
    },
  • "requestedAt": "2026-06-05T06:00:00Z",
  • "expiresAt": "2026-06-05T07:00:00Z",
  • "decidedAt": "2026-06-05T06:05:00Z",
  • "expiredAt": "2026-06-05T07:00:00Z"
}

Reports

Get a list of payments marked as donations

Returns a list of payments marked as donations made to any sales unit belonging to the merchant of the sales unit identified in the token.

query Parameters
from
required
string <date-time>

Lower bound timestamp (inclusive) for payments to be included in the report.

to
required
string <date-time>

Timestamp where payments made after should not be included in the report

recipientHandles
Array of strings
Example: recipientHandles=NO:1234

Optional filter of recipientHandles that should be included in the response, if omitted donation data for all recipientHandles the client has access to are returned.
To use multiple handles repeat the query parameter

includeGDPRSensitiveData
boolean
Default: false

When true the response will include the message input by the user when making the payment

Responses

Response samples

Content type
application/json
{
  • "from": "2019-08-24T14:15:22Z",
  • "to": "2019-08-24T14:15:22Z",
  • "payments": [
    ]
}